
.docIconWrapper {
  position: relative;
  display: flex;
  flex-direction: row;
  padding: 5px;
  gap: 5px;
  justify-items: start;
  align-items: end;
}

.docIcon {
  width: 40px;
  height: 40px;
}
.tool-bar-report-designer {
  position: relative;
  left: 0px;
  height: 50px;
  width: 100%;
  background-color: #1c1c1c;
  border-bottom: 1px solid #333;
  z-index: 11;
  display: flex;
  justify-items: start;
  align-items: end;
  align-content: center;
  gap: 10px;
}
.docIconBlocks {
  width: auto;
}

.docIconBlock {
  height: 16px;
  border-radius: 5px;
  background-color: rgba(75, 75, 105, 0.6);
  border: 2px solid #c3bcbc;
  padding: 7px;
  align-content: center;
  font-family: 'Helvetica Neue';
  font-weight: 300;
  font-size: 11px;
}

.docIconBlockCustom {
  width: 30px;
}

.docIconBlock:hover {
  height: 16px;
  border-radius: 5px;
  background-color: rgba(152, 91, 168, 0.6);
  border: 2px solid #c3bcbc;
  padding: 7px;
  align-content: center;
  font-family: 'Helvetica Neue';
  font-weight: 300;
  font-size: 11px;
}

.docIconBlockTool {
    height: 16px;
    width: 20px;
    border-radius: 5px;
    background-color: rgba(75, 75, 105, 0.6);
    border: 2px solid #c3bcbc;
    padding: 7px;
    align-content: center;
    font-family: 'Helvetica Neue';
    font-weight: 300;
    font-size: 11px;
}
.docIconBlockTool:hover {
    height: 16px;
    border-radius: 5px;
    background-color: rgba(152, 91, 168, 0.6);
    border: 2px solid #c3bcbc;
    padding: 7px;
    align-content: center;
    font-family: 'Helvetica Neue';
    font-weight: 300;
    font-size: 11px;
}

.report-page-layout-strip {
    height: 155px;
    width: 100%;
    display: flex;
    flex-direction: row;
    overflow-x: visible;
    padding: 20px;
    gap: 20px;
    border-bottom: 2px solid #333;
}
.report-page-wrapper-ghost {
  height: 145px;
  width: 95px;
  background: #444;
  border-radius: 4px;
  border: 2px solid #888;
  box-shadow: 0 0 22px rgba(0,64,128,0.8);
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}
.report-page-wrapper-landscape {
  height: 95px;
  width: 145px;
  background: #5b5757;
  border-radius: 4px;
  border: 2px solid;
  box-shadow: 0 0 22px rgba(0,64,128,0.8);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
}
.report-page-wrapper-portrait {
  position: relative;
  height: 145px;
  width: 100px;
  background: #5b5757;
  border-radius: 4px;
  border: 2px solid;
  box-shadow: 0 0 22px rgba(0,64,128,0.8);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
}
.report-page-wrapper-portrait:hover,
.report-page-wrapper-landscape:hover {
    background-color: rgba(152, 91, 168, 0.6);
    box-shadow: 0 0 22px rgba(0,64,128,0.8);
}
.report-page-wrapper-portrait.active,
.report-page-wrapper-landscape.active {
  background-color: #4f284b;
  border-color: #4f284b;
  box-shadow: 0 0 22px rgba(92, 0, 128, 0.8);
}

.page-name-label {
  position: absolute;
  top: 10px;
  font-weight: 400 !important;
  font-style: italic !important;
  font-size: 12px !important;
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.88);
  padding: 4px;
  background-color: rgba(0, 0, 0, 0.42);
  border-radius: 5px;
}
.page-type-label{
  position: absolute;
  top: 57px;
  font-weight: 400 !important;
  font-style: italic !important;
  font-size: 12px !important;
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.88);
  padding: 4px;
  background-color: rgba(0, 0, 0, 0.42);
  border-radius: 5px;
}
.page-order-label {
  position: absolute;
  bottom: 10px;
  font-weight: 400 !important;
  font-style: italic !important;
  font-size: 12px !important;
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.88);
  padding: 4px;
  background-color: rgba(0, 0, 0, 0.42);
  border-radius: 5px;
}



.menu-bar-report {
    position: relative;
    top: 0px;
    left: 0px;
    display: flex;
    align-items: center;
    background: #1e1e1e;
    color: #ddd;
    font-family: system-ui, sans-serif;
    font-size: 14px;
    user-select: none;
    height: 28px;
    width: 100%;
    border-bottom: 1px solid #333;
    padding: 0 4px;

    z-index: 10000;
}


#reportBrowser {
    width: 200px;
    height: 100%;
    display: flex;
    flex-direction: column;
    background: #191919;
    /* border-left: 0px solid #ccc; */
    overflow: hidden;
    display: none;
}

/* Header */
.rep-header {
    display: flex;
    padding: 6px;
    gap: 6px;
}

.rep-header input {
    flex: 1;
    padding: 4px;
    font-size: 13px;
    width: 100px;
    box-sizing: border-box;
    padding: 4px 6px;
    background-color: #444;
    border-color: #000;
    border-top-width: 0px;
    border-right-width: 0px;
    border-bottom-width: 0px;
    border-left-width: 0px;
    color: #fff;
    border-radius: 4px;
}

.rep-search-btn {
    width: 28px;
    cursor: pointer;
    background: #fff;
    border: 1px solid #aaa;
    border-radius: 4px;
}

/* Group list popup */
.rep-group-list {
    max-height: 120px;
    overflow-y: auto;
    border-bottom: 1px solid #bbb;
    background: #1px solid #3b3838;
    font-size: 13px;
}

.rep-group-item {
    padding: 4px 6px;
    cursor: pointer;
}

.rep-group-item:hover {
    background: #ddd;
}
.rep-dropdown {
    position: relative;
    padding: 4px;
    margin-bottom: 4px;
    cursor: pointer;
    border-radius: 4px;
    background-color: #222;
    font-size: 11px;
    color: #fff;
}

.rep-dropdown-selected {
    padding: 8px 12px;
    background: #222;
    color: #eee;
    border: 1px solid #dbd7d7;
    background-color: #444;
    border-radius: 6px;
    cursor: pointer;
}

.rep-dropdown-list {
    position: absolute;
    top: calc(100% + 4px);
    left: 0;
    width: 100%;
    background: #1b1b1b;
    border: 1px solid #333;
    border-radius: 6px;
    max-height: 240px;
    overflow-y: auto;
    z-index: 50;
}

.rep-dropdown-list.hidden {
    display: none;
}

.rep-group-item {
    padding: 8px 12px;
    color: #ddd;
    cursor: pointer;
}

.rep-group-item:hover {
    background: #333;
}
.rep-list {
  padding: 5px;
  gap: 11px;
  display: flex;
  flex-direction: column;
}
.rep-item {
    font-family: 'Helvetica Neue', sans-serif;
    font-weight: 100 !important;
    font-style: italic !important;
    font-size: 12px !important;
    padding-inline: 18px;
    border-radius: 5px;
    border: 1px solid #fff;
    padding: 5px;
}



.master-page-inspector {
  display: flex;
  flex-direction: column;
  /* gap: 6px; */
  padding: 4px 4px 4px 4px;
  background: rgba(20, 20, 20, 0.8);
  border-radius: 4px;
  border: 1px solid #222;
  border-radius: 10px;
  z-index: 5999;
  position: absolute;
  width: 280px;
}
.master-page-inspector.hidden {
  display: none !important;
}
.palletDragHandle {
  position: absolute;
  top: 0;
  right: 0;
  width: 20px;
  height: 20px;
  cursor: cursor: grab;
  z-index: 14;
  background: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="gray"><path d="M9 7h2v2H9V7zm0 4h2v2H9v-2zm0 4h2v2H9v-2zm4-8h2v2h-2V7zm0 4h2v2h-2v-2zm0 4h2v2h-2v-2z"/></svg>') no-repeat center;
  background-size: contain;
}
.pageBlock {
  border: 1px solid #444;
  border-radius: 8px;
  padding: 12px;
  padding-top: 0px;
}
.guideBlock {
  border: 1px solid #444;
  border-radius: 8px;
  padding: 5px;
  padding-top: 5px;
}
.guideInspectorContainer {
  padding-top: 5px;
}
.pageInspLabelGuide {
  margin-top: 11px;
  top: 5px;
  font-size: 10px;
  display: flex;
  flex-flow: column;
  padding-bottom: 0px;
  width: 121px;
}
.pageInspWrapperGuides {
  display: flex;
  flex-direction: row;
  gap: 5px;
  padding: 5px;
}
.pageInspWrapper.hidden {
  display: none;
}
.pageInspInput {
  width: 95% !important;
}

.master-page-inspector label {
  margin-top: 15px;
  font-size: 10px;
  display: flex;
  flex-flow: column;
  padding-bottom: 5px;
}
.imaster-page-inspector input {
  width: 100%;
  background: #222;
  color: #fff;
  border: 1px solid #333;
  padding: 4px;
}

.pageInspInput {
  width: 100%;
  background: #222;
  color: #fff;
  border: 1px solid #333;
  padding: 4px;
  min-width: 50px;
}
.report-designer-tab {
  display: flex;
  flex-direction: column;
  height: 95%;
  display: none;
}

.report-designer-tab .report-grid-canvas {
  flex: 1;
  position: relative;
  overflow: hidden;
  border-radius: 27px;

  background-color: #1b1a1a;
  background-size: 40px 40px;
  background-image:
    linear-gradient(to right, #222 1px, transparent 1px),
    linear-gradient(to bottom, #222 1px, transparent 1px);
}

#layoutCanvas {
  display: block;
  width: 100%;
  height: 100%;
}
/* #storyReportDesigner {
  display: none;
  position: absolute;
  top: 46px !important;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  flex-direction: column;
  box-sizing: border-box;
} */


#debug-crdt-palette pre {
  margin: 0;
  white-space: pre-wrap; /* wrap long lines */
  word-break: break-word;
}

#debug-crdt-palette div.title {
  font-weight: bold;
  margin-bottom: 5px;
}

#debug-crdt-palette {
  min-width: 500px;
  min-height: 500px;
  max-width: 500px;
  max-height: 1000px;
}
.debug-content-wrapper {
  margin-top: 20px;
  user-select: text;
  -webkit-user-select: text; /* Safari/Chrome */
  -moz-user-select: text;    /* Firefox */
  -ms-user-select: text;     /* IE/Edge */
}
.debug-content-wrapper::-webkit-scrollbar {
  width: 12px;
}
.debug-content-wrapper::-webkit-scrollbar-track {
  background: #1e1e1e;
}
.debug-content-wrapper::-webkit-scrollbar-thumb {
  background-color: #555;
  border-radius: 4px;
  border: 1px solid #1e1e1e;
}
#pdf-debug-wrapper {
  width: 600px;
  height: 600px;
  overflow: auto;
  display: flex;
  position: absolute;
  flex-direction: row;
  padding: 10px;
  box-sizing: border-box;
}
#debug-pdf-palette {
  width: 600px;
  height: 600px;
  overflow: auto;
  display: flex;
  position: absolute;
  flex-direction: row;
  padding: 10px;
  box-sizing: border-box;
}


textarea.pageInspInput {
  resize: both;
  min-height: 24px;
  line-height: 1.2;
}

.pageInspInput::-webkit-scrollbar {
  width: 12px;
}
.pageInspInput::-webkit-scrollbar-track {
  background: #1e1e1e;
}
.pageInspInput::-webkit-scrollbar-thumb {
  background-color: #555;
  border-radius: 4px;
  border: 1px solid #1e1e1e;
}
.report-page-wrapper-overflow {
  height: 120px;
  align-self: end;
  margin-bottom: 6px;
}
.page-drop-target {
  cursor: pointer;
  border-radius: 4px;
  width: 95%;
  background: #4c2b55;
  color: #fff;
  border: 1px solid #333;
  padding: 4px;
  min-width: 50px;
}
.page-preview-container {
  position: relative;
  width: 100%;
  height: auto;
  flex-direction: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  background: #1e1e1e;
  border-radius: 5px;
}

.page-preview-image {
  width: 100%;
  height: 100%;
  object-fit: contain;   /* or 'cover' if you want it cropped */
}
.page-preview-container canvas {
  width: 100%;
  height: 100%;
}
.pageInspTextAlign {
  display: flex;
  border: 1px solid #555;
  border-radius: 4px;
  overflow: hidden;
}

.align-btn {
  height: 25px;
  width: auto;
  flex: 1;
  background: #2b2b2b;
  border: none;
  padding: 6px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
}

.align-btn:hover {
  background: #3a3a3a;
}

.align-btn.active {
  background: #4e1346;
}

.pageInspElementLayering {
  display: flex;
  border: 1px solid #555;
  border-radius: 4px;
  overflow: hidden;
}

.layer-btn {
  height: 25px;
  width: auto;
  flex: 1;
  background: #2b2b2b;
  border: none;
  padding: 6px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
}

.layer-btn:hover {
  background: #3a3a3a;
}

.layer-btn.active {
  background: #4e1346;
}
.pageInspColorPicker {
  display: flex;
  align-items: center;
  flex-direction: column-reverse;
  gap: 8px;
}

.colorValueBox {
  font-size: 11px;
  font-family: monospace;
  line-height: 1.2;
}
.reportTemplate {
  /* border: 1px solid rgba(200, 128, 200, 0.3) !important; */
  border: 2px solid rgba(231, 10, 93, 0.58) !important;
}
